Search documentation of Localize

# Localize.Gettext (Localize v0.39.0)

Copy Markdown View Source

Gettext backend for the Localize library.

Provides localized error messages for exceptions using the GNU Gettext internationalization framework. Messages use the `"localize"` domain and are organized by context (`msgctxt`) corresponding to the module area: `"language_tag"`, `"locale"`, `"unit"`, `"datetime"`, `"currency"`.

## Summary

### Functions

handle_missing_bindings(exception, incomplete)

Callback implementation for `Gettext.Backend.handle_missing_bindings/2`.

handle_missing_plural_translation(locale, domain, msgctxt, msgid, msgid_plural, n, bindings)

Callback implementation for `Gettext.Backend.handle_missing_plural_translation/7`.

handle_missing_translation(locale, domain, msgctxt, msgid, bindings)

Callback implementation for `Gettext.Backend.handle_missing_translation/5`.

## Functions

# handle_missing_bindings(exception, incomplete)

Callback implementation for `Gettext.Backend.handle_missing_bindings/2`.

# handle_missing_plural_translation(locale, domain, msgctxt, msgid, msgid_plural, n, bindings)

Callback implementation for `Gettext.Backend.handle_missing_plural_translation/7`.

# handle_missing_translation(locale, domain, msgctxt, msgid, bindings)

Callback implementation for `Gettext.Backend.handle_missing_translation/5`.